﻿using System.Diagnostics;
using System.Windows;
using UmlDiagramDesigner.Core;
using UmlDiagramDesigner.Helpers;
using UmlDiagramDesigner.Models;
using UmlDiagramDesigner.Properties;
using UmlDiagramDesigner.Services;
using UmlDiagramDesigner.ViewModels;

namespace UmlDiagramDesigner
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        private readonly IDialogService _dialogService;

        public App()
        {
            _dialogService = new WpfDialogService();
        }

        protected override void OnExit(ExitEventArgs e)
        {
 

        }

    }
}
