﻿using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Media;

namespace UmlDiagramDesigner.Helpers.Convertors
{
    public class BooleanToBlackBorderConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var test = (bool) value;
            var paramColor = parameter as SolidColorBrush;
            return test ? new SolidColorBrush(Colors.Black) : paramColor ?? new SolidColorBrush(Colors.Transparent);
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
