﻿namespace UmlDiagramDesigner.ViewModels.DiagramRelationships
{
    public abstract class RelationshipDecorator : RelationshipViewModelBase
    {
        public RelationshipViewModelBase BaseRelationship;
        protected RelationshipDecorator(RelationshipViewModelBase baseViewModel)
        {
            this.BaseRelationship = baseViewModel;
            this.Source = baseViewModel.Source;
            this.Target = baseViewModel.Target;
            this.SourcePoint = baseViewModel.SourcePoint;
            this.TargetPoint = baseViewModel.TargetPoint;

        }
    }
}
