﻿using System.Windows;
using UmlDiagramDesigner.ViewModels;

namespace UmlDiagramDesigner.DAL.Export
{
    public interface IExporter
    {
        /// <summary>
        /// Exports the specified diagram.
        /// </summary>
        /// <param name="diagram">The diagram.</param>
        void Export(CanvasViewModel diagram);

        FrameworkElement Canvas { get; set; }
    }    
}
