﻿namespace UmlDiagramDesigner.ViewModels.DependentElements
{
    public abstract class ConstraintViewModelBase : ViewModelBase
    {
        protected AttributeViewModel Attribute;

        protected ConstraintViewModelBase(AttributeViewModel attribute)
        {
            Attribute = attribute;
        }

        public string Stereotype { get { return GetStereotype(); }}
        protected abstract string GetStereotype();
    }
}
