﻿using UmlDiagramDesigner.ViewModels.DependentElements;

namespace UmlDiagramDesigner.ViewModels.DiagramRelationships
{
    /// <summary>
    /// Defines a relationship which creates a foreign key constraint between two entities
    /// </summary>
    public interface IForeignKeyRelationship
    {
        /// <summary>
        /// Gets or sets the source foreign key.
        /// </summary>
        /// <value>
        /// The source foreign key.
        /// </value>
        AttributeViewModel SourceForeignKey { get; set; }
    }
}
