﻿namespace UmlDiagramDesigner.ViewModels.InputForms
{
    public class TextInputViewModel : InputFormViewModelBase
    {
        private string _text;

        public TextInputViewModel()
        {
            
        }

        public string InputValueName { get; set; }

        public TextInputViewModel(string text)
        {
            Text = text;
        }

        public string Text
        {
            get { return _text; }
            set
            {
                if (value == _text) return;
                _text = value;
                OnPropertyChanged();
            }
        }

        protected override bool ValidateInputData()
        {
            if (string.IsNullOrEmpty(Text))
                return false;
            return true;
        }
    }
}
