﻿using System.Collections.Generic;

namespace UmlDiagramDesigner.Core.Graph
{
	/// <summary>
	/// Defines a graph of <see cref="IIndexedVertex"/>.
	/// </summary>
	public interface IIndexedGraph
    {
		/// <summary>
		/// Gets the vertices.
		/// </summary>
		/// <returns>Graph vertices</returns>
		IEnumerable<IIndexedVertex> GetVertices();
    }
}
